- Qt 5.5
- Qt3D Module
- C++ Classes
- QTranslateTransform
- Qt 5.5.1 Reference Documentation

# QTranslateTransform Class

(Qt3D::QTranslateTransform)

Inherits: | QAbstractTransform

- List of all members, including inherited members

## Properties

- dx : float
- dy : float
- dz : float
- translation : QVector3D

- 1 property inherited from Qt3D::QAbstractTransform

## Public Functions

| QTranslateTransform(QObject * parent = Q_NULLPTR)
float | dx() const
float | dy() const
float | dz() const
QVector3D | translation() const

## Reimplemented Public Functions

virtual QMatrix4x4 | transformMatrix() const

- 1 public function inherited from Qt3D::QAbstractTransform

## Public Slots

void | setDx(float arg)
void | setDy(float arg)
void | setDz(float arg)
void | setTranslation(const QVector3D & arg)

## Signals

void | translateChanged()

- 1 signal inherited from Qt3D::QAbstractTransform

## Property Documentation

### dx : float

Access functions:

float | dx() const
void | setDx(float arg)

Notifier signal:

void | translateChanged()

### dy : float

Access functions:

float | dy() const
void | setDy(float arg)

Notifier signal:

void | translateChanged()

### dz : float

Access functions:

float | dz() const
void | setDz(float arg)

Notifier signal:

void | translateChanged()

### translation : QVector3D

Access functions:

QVector3D | translation() const
void | setTranslation(const QVector3D & arg)

Notifier signal:

void | translateChanged()

## Member Function Documentation

### QTranslateTransform::QTranslateTransform(QObject * parent = Q_NULLPTR)

### `[virtual]` QMatrix4x4 QTranslateTransform::transformMatrix() const